import QtQuick 1.1
import com.nokia.meego 1.1
import QtQuick 1.0

Page {



    //////////////////////////////////////////////////////////////////////////
    //ToolBar
    //////////////////////////////////////////////////////////////////////////
    tools: commonTools

    id: aboutPage
    anchors.fill: parent
    orientationLock: PageOrientation.LockPortrait
    Component.onCompleted: {
        //console.log(">>>>>>>>>>>>>>"+params.mobile)
        fixIt.active = true
        home.active = true
        home.visible = true
        fixIt.visible = true
    }


    Rectangle {
        id: rectangle1
        color: "#000000"
        anchors.fill: parent
    }

    Flickable {
        id: flickZone
        anchors.right: parent.right
        anchors.left: parent.left
        anchors.top: parent.top
        width: parent.width
        anchors.bottom: parent.bottom
        anchors.topMargin: 0
        contentHeight: text1.paintedHeight + text2.paintedHeight + text3.paintedHeight + text4.paintedHeight + text5.paintedHeight + rectangle2.height + rectangle4.height + image1.height + 280
        flickableDirection: Flickable.VerticalFlick

        Text {
            id: text1
            color: "#56c5eb"
            text: qsTr("<h1>TwittFix V1.0.2</h1>")
            font.pixelSize: 22
            horizontalAlignment: Text.AlignHCenter
            style: Text.Normal
            font.bold: true
            verticalAlignment: Text.AlignTop
            wrapMode: Text.WordWrap
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.top: parent.top
            anchors.topMargin: 10
        }

        Rectangle {
            id: rectangle2
            height: 2
            color: "#56c5eb"
            anchors.rightMargin: 20
            anchors.leftMargin: 20
            anchors.top: text1.bottom
            anchors.topMargin: 3
            anchors.right: parent.right
            anchors.left: parent.left
        }

        Image {
            id: image1
            anchors.leftMargin: 10
            anchors.left: parent.left
            anchors.topMargin: 40
            anchors.top: rectangle2.bottom
            fillMode: Image.PreserveAspectFit
            source: "pics/icon.png"
        }

        Text {
            id: text2
            color: "#ffffff"
            text: qsTr("\
This application provide a simple patch for the native twitter apps in MeeGo harmattan.<br /><br />\
It allow user to authenticate with the native twitter client.<br /><br />\
This Application was develop with Qt Framework, with Qt Creator v 2.4.1 <br />\
\
")
font.pixelSize: 18
            font.bold: false
            wrapMode: Text.WordWrap
            anchors.top: text1.bottom
            anchors.topMargin: 24
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: image1.right
        }

        Text {
            id: text3
            x: 10
            color: "#ffffff"
            text: qsTr("Patch only for tested on MeeGo 1.2 Harmattan PR.1.3<br />This might work in other version of MeeGo Harmatan.")
            font.pixelSize: 18
            font.italic: true
            horizontalAlignment: Text.AlignHCenter
            anchors.rightMargin: 10
            anchors.right: parent.right
            anchors.leftMargin: 10
            anchors.left: parent.left
            anchors.top: text2.bottom
            anchors.topMargin: 24
            wrapMode: Text.WordWrap
        }

        Text {
            id: text4
            x: 10
            y: 451
            color: "#56c5eb"
            text: qsTr("<h1>Feedback and Help</h1>")
            font.pixelSize: 22
            horizontalAlignment: Text.AlignHCenter
            style: Text.Normal
            font.bold: true
            verticalAlignment: Text.AlignTop
            wrapMode: Text.WordWrap
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.top: text3.bottom
            anchors.topMargin: 24
        }

        Rectangle {
            id: rectangle4
            x: 10
            y: 476
            height: 2
            color: "#56c5eb"
            anchors.rightMargin: 10
            anchors.leftMargin: 10
            anchors.top: text4.bottom
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.left: parent.left
        }

        Text {
            id: text5
            x: 10
            y: 491
            color: "#ffffff"
            text: qsTr(" You can give me feedback about this application on:\
<ul>\
<li>Talk Maemo forum <a href='http://talk.maemo.org/showthread.php?t=95777'/> With this thread</a></li>\
<li>Send m an email at <b>shadow.max.graph@gmail.com</li>\
<ul>")
font.pixelSize: 18
            anchors.topMargin: 24
            font.bold: false
            wrapMode: Text.WordWrap
            anchors.top: text4.bottom
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
        }

/*

        Text {
            id: text6
            x: 10
            y: 451
            color: "#56c5eb"
            text: qsTr("<h1>Known bugs</h1>")
            horizontalAlignment: Text.AlignHCenter
            font.pointSize: 8
            style: Text.Normal
            font.bold: true
            verticalAlignment: Text.AlignTop
            wrapMode: Text.WordWrap
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.top: text5.bottom
            anchors.topMargin: 24
        }

        Rectangle {
            id: rectangle5
            x: 10
            y: 476
            height: 2
            color: "#56c5eb"
            anchors.rightMargin: 10
            anchors.leftMargin: 10
            anchors.top: text6.bottom
            anchors.topMargin: 0
            anchors.right: parent.right
            anchors.left: parent.left
        }

        Text {
            id: text7
            x: 10
            y: 491
            color: "#ffffff"
            text: qsTr("After authenticate, you might no more see profile picture due to twitter last API update. Native application cannot correctly parse data from twitter and is not able to download them.<br/>We cannot fix it because we don’t have sources of this app")
            font.pointSize: 6
            anchors.topMargin: 24
            font.bold: false
            wrapMode: Text.WordWrap
            anchors.top: text6.bottom
            anchors.right: parent.right
            anchors.rightMargin: 10
            anchors.left: parent.left
            anchors.leftMargin: 10
        }
*/
    }

}
